Skip to main content
PATCH
Open or close a branch to viewers

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

branch_id
string<uuid>
required

The organization-wide branch ID (orgBranchId). This isn't the same as the ID of a branch model.

Example:

"123e4567-e89b-12d3-a456-426614174001"

Query Parameters

userId
string<uuid>

Organization API key required. The membership ID of the user to act as.

Body

application/json
openToViewers
boolean
required

true to open the branch to Viewers and Restricted Queriers, false to close it.

Response

The branch was opened or closed successfully.

branch
object
success
boolean

Whether the operation succeeded.